﻿using Microsoft.AspNetCore.Mvc;
using System.Linq;
using System.Collections;
using System.Collections.Generic;
using System.Linq.Dynamic.Core;
using System;
using System.Reflection;
using Syncfusion.JavaScript;
using Syncfusion.JavaScript.DataSources;
using Microsoft.EntityFrameworkCore;
using Schedule.Models;
using Syncfusion.JavaScript.Models;
using Newtonsoft.Json;

namespace Schedule.Controllers
{
    public class HomeController : Controller
    {
        private NORTHWNDContext _context;
        public static List<OrderDetails> order = new List<OrderDetails>();
        public List<Employee> foreignData = new List<Employee>();
        public HomeController(NORTHWNDContext context)
        {
            _context = context;
        }
       
        public IActionResult Index()
        {
            if (order.Count() == 0)
                BindDataSource();
            ViewBag.data = order;
            if (foreignData.Count() == 0)
                BindForeignData();
            ViewBag.employee = foreignData;
            return View();
        }
        public void BindDataSource()
        {
            int code = 10000;
            for (int i = 1; i < 3; i++)
            {
                order.Add(new OrderDetails(code + 1, "ALFKI", i + 0, 2.3 * i, "Berlin"));
                order.Add(new OrderDetails(code + 2, "ANATR", i + 2, 3.3 * i, "Madrid"));
                order.Add(new OrderDetails(code + 3, "ANTON", i + 1, 4.3 * i, "Cholchester"));
                order.Add(new OrderDetails(code + 4, "BLONP", i + 3, 5.3 * i, "Marseille"));
                order.Add(new OrderDetails(code + 5, "BOLID", i + 4, 6.3 * i, "Tsawassen"));
                code += 5;
            }
        }
        public void BindForeignData()
        {
            foreignData.Add(new Employee(1, "Michael"));
            foreignData.Add(new Employee(2, "Anne"));
            foreignData.Add(new Employee(3, "Janet"));
            foreignData.Add(new Employee(4, "Andrew"));
            foreignData.Add(new Employee(5, "Margaret"));
            foreignData.Add(new Employee(6, "Nancy"));
            foreignData.Add(new Employee(7, "Robert"));
            foreignData.Add(new Employee(8, "Laura"));
            foreignData.Add(new Employee(9, "Steven"));
        }
        public class Employee
        {
            public Employee()
            {

            }
            public Employee(int EmployeeId, string FirstName)
            {
                this.EmployeeID = EmployeeId;
                this.FirstName = FirstName;
            }
            public int EmployeeID { get; set; }
            public string FirstName { get; set; }
        }

        public class OrderDetails
        {
            public OrderDetails()
            {

            }
            public OrderDetails(int OrderID, string CustomerId, int EmployeeId, double Freight, string ShipCity)
            {
                this.OrderID = OrderID;
                this.CustomerID = CustomerId;
                this.EmployeeID = EmployeeId;
                this.Freight = Freight;
                this.ShipCity = ShipCity;
            }

            public int? OrderID { get; set; }
            public string CustomerID { get; set; }
            public int? EmployeeID { get; set; }
            public double? Freight { get; set; }
            public string ShipCity { get; set; }
        }
    }
}
